﻿Imports System.Data

Partial Class VB
    Inherits System.Web.UI.Page
    Protected Sub Page_Load(sender As Object, e As EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Dim dt As New DataTable()
            dt.Columns.AddRange(New DataColumn(1) {New DataColumn("Item"), New DataColumn("Quantity")})
            dt.Rows.Add("Shirt", 450)
            dt.Rows.Add("Jeans", 3200)
            dt.Rows.Add("Trousers", 1900)
            dt.Rows.Add("Tie", 185)
            dt.Rows.Add("Cap", 100)
            dt.Rows.Add("Hat", 120)
            dt.Rows.Add("Scarf", 290)
            dt.Rows.Add("Belt", 150)
            ViewState("dt") = dt
            BindGrid()
        End If
    End Sub

    Private Sub BindGrid()
        GridView1.DataSource = TryCast(ViewState("dt"), DataTable)
        GridView1.DataBind()
    End Sub

    Protected Sub OnRowEditing(sender As Object, e As GridViewEditEventArgs)
        GridView1.EditIndex = e.NewEditIndex
        Me.BindGrid()
    End Sub

    Protected Sub OnRowCancelingEdit(sender As Object, e As GridViewCancelEditEventArgs)
        GridView1.EditIndex = -1
        Me.BindGrid()
    End Sub

    Protected Sub OnRowUpdating(sender As Object, e As GridViewUpdateEventArgs)
        Dim txtQuantity As TextBox = TryCast(GridView1.Rows(e.RowIndex).FindControl("txtQuantity"), TextBox)
        Dim dt As DataTable = TryCast(ViewState("dt"), DataTable)
        dt.Rows(e.RowIndex)("Quantity") = If(Not String.IsNullOrEmpty(txtQuantity.Text), txtQuantity.Text, "0")
        ViewState("dt") = dt
        GridView1.EditIndex = -1
        Me.BindGrid()
    End Sub
End Class


